##
##  lwc.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         lwc
Summary:      Lightweight C++
URL:          http://students.ceid.upatras.gr/~sxanth/lwc/
Vendor:       Stelios Xanthakis
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        PLUS
Group:        Compiler
License:      Freeware
Version:      1.3.2
Release:      20080101

#   list of sources
Source0:      http://students.ceid.upatras.gr/~sxanth/lwc/lwc-%{version}.tar.bz2
Patch0:       lwc.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130, gcc
PreReq:       OpenPKG, openpkg >= 20040130
AutoReq:      no
AutoReqProv:  no

%description
    Lightweight C++ is a programming language that looks like C++ and
    is directly translated to readable C code. It supports function
    overloading, member functions, inheritance, polymorphism (virtual
    functions), multiple inheritance, virtual inheritance and pure
    virtual functions, constructors/destructors, new/delete, and
    simplistic templates.

%track
    prog lwc = {
        version   = %{version}
        url       = http://students.ceid.upatras.gr/~sxanth/lwc/
        regex     = lwc-(__VER__)\.tar\.bz2
    }

%prep
    %setup -q
    %patch -p0

%build
    %{l_make} %{l_mflags -O} \
        CCC="%{l_cc} %{l_cflags -O}"

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/share/lwc
    %{l_shtool} install -c -s -m 755 \
        objdir/lwc $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        doc/[0-9A-Z]* $RPM_BUILD_ROOT%{l_prefix}/share/lwc/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

